# Execute Pipeline with dynamic Input YAML

API for executing a dynamic pipeline input YAML. Refer to the developer documentation for detailed usage and configuration instructions https://developer.harness.io/docs/platform/pipelines/dynamic-execution-pipeline/#dynamic-execution-api

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/execute/dynamic
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `moduleType` (string)
    The module from which execution was triggered.

  - `notes` (string)
    Notes of a pipeline execution

  - `notify_only_user` (boolean)

## Request fields (application/json):

  - `yaml` (string)

## Response 200 fields (application/json):

  - `execution_details` (object)

  - `execution_details.execution_id` (string)

  - `execution_details.status` (string)


